Table of Contents

Class: VariableDetailDialog | eric3/Debugger/VariableDetailDialog.py
--- | ---

### Class implementing the variable detail dialog.

This dialog shows the name, the type and the value of a variable in a read only dialog. It is opened upon a double click in the variables viewer widget.

Base Classes |
--- | ---
VariableDetailForm

Methods |
--- | ---
__init__
| __init__

    __init__ (
            self,
            var,
            vtype,
            value,
            )

### Constructor

#### Arguments

var
  the variables name (string or QString)
vtype
  the variables type (string or QString)
value
  the variables value (string or QString)

Table of Contents

This document was automatically generated by HappyDoc version 2.1